﻿Imports System.Collections.Generic
Imports System.Runtime.CompilerServices

''' <summary> Extensions für Delegaten </summary>
Public Module DelegateX

    <Extension()> _
    Public Function CombineWith(ByVal subj As Action, _
                               ByVal obj As Action) As Action
        Return DirectCast([Delegate].Combine(subj, obj), Action)
    End Function

    <Extension()> _
    Public Function CombineWith(Of T)(ByVal subj As Action(Of T), _
                                     ByVal obj As Action(Of T)) As Action(Of T)
        Return DirectCast([Delegate].Combine(subj, obj), Action(Of T))
    End Function

End Module